Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.message
Class GarlicMessageReceiver

    java.lang.Object
      net.i2p.router.message.GarlicMessageReceiver

    public class GarlicMessageReceiver

extends Object

Unencrypt a garlic message and pass off any valid cloves to the configured receiver to dispatch as they choose.

Nested Class Summary
`static interface` | `GarlicMessageReceiver.CloveReceiver`

Constructor Summary
`GarlicMessageReceiver(RouterContext context, GarlicMessageReceiver.CloveReceiver receiver)`
`GarlicMessageReceiver(RouterContext context, GarlicMessageReceiver.CloveReceiver receiver, Hash clientDestination)`

Method Summary
`void` | `receive(GarlicMessage message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GarlicMessageReceiver

    public GarlicMessageReceiver(RouterContext context,
                                 GarlicMessageReceiver.CloveReceiver receiver)

### GarlicMessageReceiver

    public GarlicMessageReceiver(RouterContext context,
                                 GarlicMessageReceiver.CloveReceiver receiver,
                                 Hash clientDestination)

Method Detail

### receive

    public void receive(GarlicMessage message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD